Gtk2::ImageMenuItem(3)

NAME
Gtk2::ImageMenuItem

HIERARCHY
  Glib::Object
  +----Glib::InitiallyUnowned
       +----Gtk2::Object
            +----Gtk2::Widget
                 +----Gtk2::Container
                      +----Gtk2::Bin
                           +----Gtk2::Item
                                +----Gtk2::MenuItem
                                     +----Gtk2::ImageMenuItem

INTERFACES
  Glib::Object::_Unregistered::AtkImplementorIface
  Gtk2::Buildable

METHODS

  widget = Gtk2::ImageMenuItem->new ($label=undef)

    * $label (string)

  widget = Gtk2::ImageMenuItem->new_from_stock ($stock_id, $accel_group=undef)
    * $stock_id (string)
    * $accel_group (Gtk2::AccelGroup or undef)

  widget = Gtk2::ImageMenuItem->new_with_label ($label=undef)

    * $label (string)

  widget = Gtk2::ImageMenuItem->new_with_mnemonic ($label=undef)
    * $label (string)

  widget = $image_menu_item->get_image

  $image_menu_item->set_image ($image)

    * $image (Gtk2::Widget)

PROPERTIES
'image' (Gtk2::Widget : readable / writable / private)
    Child widget to appear next to the menu text

SEE ALSO
Gtk2, Glib::Object, Glib::InitiallyUnowned, Gtk2::Object, Gtk2::Widget, Gtk2::Container, Gtk2::Bin, Gtk2::Item, Gtk2::MenuItem

COPYRIGHT
Copyright (C) 2003-2008 by the gtk2-perl team.

This software is licensed under the LGPL. See Gtk2 for a full notice.